Subject: output ports/groups

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 15 Mar 2004 21:29:44 -0500

On Mon, 2004-03-15 at 14:17, Joel M. Halpern wrote:
> The reason for output groups is partially syntactic and partially
> semantic.  We use output groups to allow us to talk about a set of ports
> used in extremely similar fashions.  Semantically, a redirector has an
> output port group for the packets for which it has successfully selected a
> next LFB.  The redirector might have a separate output port for error packets.

The semantics above make sense - shouldnt this be in the doc?

> The syntactic reason is best explained by looking at a more complex
> case.  Suppose that a subclass of redirector was defined to cleanly
> separate packets needing application processing from those needing
> metering, marking, etc.  Within each of these two sets there might be
> several next LFBs.

"Next LFBs"  which are of different type makes more sense to me.
A good example would be an IPV4 LPM which may connect to either a
L3 NH LFB or an MPLS NHLFE LFB would definetely be sensible to model
with multiple outputs.
The example you have in figure 4 is missing these syntatic details.
I think above example added would be valuable to add.

cheers,
jamal